# SPDX-FileCopyrightText: 2022 Gregor Kleen <gregor.kleen@ifi.lmu.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

final: prev:
let
  awsPatch = prev.fetchurl {
    url = "https://github.com/gkleen/nix/commit/fd67a0f927ec0711eba59714939ff939fc95db38.diff";
    hash = "sha256-1dJ9zGQvYu5b47O2NjdggSSinlGQDcqBwXoZcKUGfYQ=";
  };
in {
  nixUnstable = prev.nixUnstable.overrideAttrs (oldAttrs: {
    patches = oldAttrs.patches or [] ++ [ awsPatch ];
  });
}
